Katello - Bug #7176

subscription details is missing virtual guest subscription and required host information
08/20/2014 09:55 AM - Thomas McKay

Status: Closed
Priority: Normal
Assignee: Thomas McKay
Category: Web Ul
Target version: Katello 2.2
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1132017 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/485
2
Description

regression from SAM-1
See attached screenshot

"Bonus" subscriptions that with requirements to be used only on guests of specific hypervisor hosts need to display this information.

Associated revisions

Revision 5e1b29fa - 12/08/2014 01:33 PM - Thomas McKay

fixes #7176 - display hypervisor/guest info for subscription

changed conditionals in html template

Revision 56132f04 - 12/08/2014 02:20 PM - Thomas McKay
Merge pull request #4852 from thomasmckay/7176-sub-host-guest

fixes #7176 - displays hypervisor host name w/ generated guest subscriptions

History

#1 - 08/20/2014 09:58 AM - Thomas McKay

- Assignee set to Thomas McKay

Code exists to display information

https://github.com/Katello/katello/blob/d6f32bb33d85e9dalfebfaab39401befdf0e1928/engines/bastion/app/assets/javascripts/bastion/subscriptions/de
tails/views/subscription-info.htmI#L75

#2 - 08/20/2014 09:59 AM - Thomas McKay
- Bugzilla link set to 1132017

#3 - 08/21/2014 08:57 AM - Eric Helms
- Difficulty set to easy

- Triaged changed from No to Yes

#4 - 11/20/2014 08:33 AM - Thomas McKay

- Status changed from New to Assigned

#5 - 12/05/2014 11:09 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Target version set to 62

- Pull request https://github.com/Katello/katello/pull/4852 added

05/17/2024 1/2



https://github.com/Katello/katello/blob/d6f32bb33d85e9da0febfaab39401befdf0e1928/engines/bastion/app/assets/javascripts/bastion/subscriptions/details/views/subscription-info.html#L75
https://github.com/Katello/katello/blob/d6f32bb33d85e9da0febfaab39401befdf0e1928/engines/bastion/app/assets/javascripts/bastion/subscriptions/details/views/subscription-info.html#L75

- Pull request deleted ()

#6 - 12/08/2014 03:01 PM - Thomas McKay
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|5e1b29fa750415611a9a37564063cd1dbbb92f84.

#7 - 02/22/2015 03:35 PM - Eric Helms

- translation missing: en.field_release set to 23
05/17/2024

08/20/2014

Thomas McKay

22


https://projects.theforeman.org/projects/katello/repository/katello/revisions/5e1b29fa750415611a9a37564063cd1dbbb92f84
http://www.tcpdf.org

